## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

# On epel python hatch/trove classifier check may fail because of old package
# Fedora checks should be sufficient though.
%bcond no_classifier_check 0%{?rhel}

Name:           python-scikit-build-core
Version:        0.11.3
Release:        %autorelease
Summary:        Build backend for CMake based projects

# The main project is licensed under Apache-2.0, but it has a vendored project
# src/scikit_build_core/_vendor/pyproject_metadata: MIT
# https://github.com/scikit-build/scikit-build-core/issues/933
License:        Apache-2.0 AND MIT
URL:            https://github.com/scikit-build/scikit-build-core
Source:         %{pypi_source scikit_build_core}

BuildRequires:  python3-devel
# Testing dependences
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  git

%global _description %{expand:
A next generation Python CMake adapter and Python API for plugins
}

%description %_description

%package -n python3-scikit-build-core
Summary:        %{summary}
Requires:       cmake
Requires:       ninja-build
BuildArch:      noarch

Provides:       bundled(python3dist(pyproject-metadata)) = 0.9.1

Obsoletes:      python3-scikit-build-core+pyproject < 0.10.7-3

%description -n python3-scikit-build-core %_description


%prep
%autosetup -n scikit_build_core-%{version}
# Rename the bundled license so that it can be installed together
cp -p src/scikit_build_core/_vendor/pyproject_metadata/LICENSE LICENSE-pyproject-metadata


%generate_buildrequires
%if %{with no_classifier_check}
export HATCH_METADATA_CLASSIFIERS_NO_VERIFY=1
%endif
%pyproject_buildrequires -x test,test-meta,test-numpy


%build
%if %{with no_classifier_check}
export HATCH_METADATA_CLASSIFIERS_NO_VERIFY=1
%endif
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files scikit_build_core


%check
%pyproject_check_import
%pytest \
    -m "not network"


%files -n python3-scikit-build-core -f %{pyproject_files}
%license LICENSE LICENSE-pyproject-metadata
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri May 16 2025 Packit <hello@packit.dev> - 0.11.3-1
- Update to 0.11.3 upstream release

* Fri Feb 28 2025 Cristian Le <git@lecris.dev> - 0.11.0-1
- Update to 0.11.0 upstream release
- Resolves: rhbz#2348951

* Wed Feb 12 2025 Cristian Le <git@lecris.dev> - 0.10.7-3
- Various simplifications
- Added `Requires: ninja-build` by default
- Removed `Suggests` and `Recommends`, these are not likely to be used
- Removed the test conditional for epel10 since everything will be packaged
- Removed the `pyproject` subpackage since it's empty and all dependents
  are gone

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Sep 30 2024 Packit <hello@packit.dev> - 0.10.7-1
- Update to 0.10.7 upstream release

* Wed Sep 11 2024 Packit <hello@packit.dev> - 0.10.6-1
- Update to 0.10.6 upstream release

* Wed Aug 07 2024 Packit <hello@packit.dev> - 0.10.1-1
- Update to 0.10.1 upstream release

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 18 2024 Cristian Le <cristian.le@mpsd.mpg.de> - 0.9.4-3
- Relax pip requirement until rawhide catches up

* Mon Jun 17 2024 Python Maint <python-maint@redhat.com> - 0.9.4-2
- Rebuilt for Python 3.13

* Tue May 14 2024 Packit <hello@packit.dev> - 0.9.4-1
- Update to 0.9.4 upstream release

* Fri Apr 19 2024 Packit <hello@packit.dev> - 0.9.0-1
- Update to 0.9.0 upstream release

* Thu Mar 28 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.2-2
- Produce a metapackage for the pyproject extra

* Thu Feb 29 2024 Packit <hello@packit.dev> - 0.8.2-1
- [packit] 0.8.2 upstream release

* Tue Jan 23 2024 Packit <hello@packit.dev> - 0.8.0-1
- [packit] 0.8.0 upstream release

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 08 2023 Packit <hello@packit.dev> - 0.6.1-1
- [packit] 0.6.1 upstream release

* Thu Sep 21 2023 Packit <hello@packit.dev> - 0.5.1-1
- [packit] 0.5.1 upstream release

* Tue Aug 22 2023 Cristian Le <cristian.le@mpsd.mpg.de> - 0.5.0-1
- [packit] 0.5.0 upstream release

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 05 2023 Packit <hello@packit.dev> - 0.4.4-1
- 0.4.4 upstream release

* Thu Apr 13 2023 Packit <hello@packit.dev> - 0.3.0-1
- [packit] 0.3.0 upstream release

* Fri Mar 24 2023 Miro Hrončok <miro@hroncok.cz> - 0.2.2-2
- Move the Requires, Recommends and Suggests to python3-scikit-build-core

* Mon Mar 20 2023 Cristian Le <cristian.le@mpsd.mpg.de> - 0.2.2-1
- Initial import (#2179414).


## END: Generated by rpmautospec
